<?php

$content_marketing_custom_css = "";


$content_marketing_primary_color = get_theme_mod('content_marketing_primary_color');
$content_marketing_second_color = get_theme_mod('content_marketing_second_color');

/*------------------ Primary Global Color -----------*/

if ($content_marketing_primary_color) {
  $content_marketing_custom_css .= ':root {';
  $content_marketing_custom_css .= '--primary-color: ' . esc_attr($content_marketing_primary_color) . ' !important;';
  $content_marketing_custom_css .= '} ';
}

/*------------------ Secondary Global Color -----------*/

if ($content_marketing_second_color) {
  $content_marketing_custom_css .= ':root {';
  $content_marketing_custom_css .= '--secondary-color: ' . esc_attr($content_marketing_second_color) . ' !important;';
  $content_marketing_custom_css .= '} ';
}

// Scroll to top button shape 

$content_marketing_scroll_border_radius = get_theme_mod( 'content_marketing_scroll_to_top_radius','curved-box');
  if($content_marketing_scroll_border_radius == 'box'){
  $content_marketing_custom_css .='#button{';
    $content_marketing_custom_css .='border-radius: 0px;';
  $content_marketing_custom_css .='}';
}else if($content_marketing_scroll_border_radius == 'curved-box'){
  $content_marketing_custom_css .='#button{';
    $content_marketing_custom_css .='border-radius: 4px;';
  $content_marketing_custom_css .='}';
}
else if($content_marketing_scroll_border_radius == 'circle'){
  $content_marketing_custom_css .='#button{';
    $content_marketing_custom_css .='border-radius: 50%;';
  $content_marketing_custom_css .='}';
}

// Footer Background Image Attatchment 

$content_marketing_footer_attatchment = get_theme_mod( 'content_marketing_background_attatchment','scroll');
if($content_marketing_footer_attatchment == 'fixed'){
  $content_marketing_custom_css .='.site-footer{';
    $content_marketing_custom_css .='background-attachment: fixed;';
  $content_marketing_custom_css .='}';
}elseif ($content_marketing_footer_attatchment == 'scroll'){
  $content_marketing_custom_css .='.site-footer{';
    $content_marketing_custom_css .='background-attachment: scroll;';
  $content_marketing_custom_css .='}';
}

// Menu Hover Style	

$content_marketing_menus_item = get_theme_mod( 'content_marketing_menus_style','None');
  if($content_marketing_menus_item == 'None'){
  $content_marketing_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
    $content_marketing_custom_css .='';
  $content_marketing_custom_css .='}';
}else if($content_marketing_menus_item == 'Zoom In'){
  $content_marketing_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
  $content_marketing_custom_css .= 'transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
  $content_marketing_custom_css .= '}';
  
  $content_marketing_custom_css .= '.main-navigation ul ul li a:hover {';
  $content_marketing_custom_css .= 'margin-left: 20px;';
  $content_marketing_custom_css .= '}';
}	

// Post Content Alignment

$content_marketing_blog_layout_option = get_theme_mod( 'content_marketing_blog_layout_option','Left');
if($content_marketing_blog_layout_option == 'Left'){
	$content_marketing_custom_css .='.post{';
		$content_marketing_custom_css .='text-align: left;';
	$content_marketing_custom_css .='}';
}elseif ($content_marketing_blog_layout_option == 'Right'){
	$content_marketing_custom_css .='.post{';
		$content_marketing_custom_css .='text-align: right;';
	$content_marketing_custom_css .='}';
}elseif ($content_marketing_blog_layout_option == 'Center'){
	$content_marketing_custom_css .='.post{';
		$content_marketing_custom_css .='text-align: center;';
	$content_marketing_custom_css .='}';
}